[SeaMonkey] "test_sts_privatebrowsing.html | [SimpleTest.finish()] No checks actually run"

VERIFIED FIXED in Firefox 13

Status

()

Core
DOM: Core & HTML
P2
major
VERIFIED FIXED
5 years ago
5 years ago

People

(Reporter: sgautherie, Assigned: sgautherie)

Tracking

(Blocks: 1 bug, {regression})

Trunk
mozilla14
regression
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox11 wontfix, firefox12 affected, firefox13 verified, firefox-esr10 affected)

Details

(Whiteboard: [perma-orange], URL)

Attachments

(2 attachments)

(Assignee)

Description

5 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1332625911.1332627901.23122.gz
WINNT 5.2 comm-central-trunk debug test mochitests-5/5 on 2012/03/24 14:51:51
s: cn-sea-qm-win2k3-01
{
1748 INFO TEST-START | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html

++DOMWINDOW == 152 (0C745B20) [serial = 1668] [outer = 06FBBF48]

1749 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | [SimpleTest.finish()] No checks actually run. (You need to call ok(), is(), or similar functions at least once.  Make sure you use SimpleTest.waitForExplicitFinish() if you need it.)

1750 INFO TEST-END | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | finished in 757ms
}
(Assignee)

Comment 1

5 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1332628571.1332629573.25913.gz
OS X 10.6 comm-central-trunk debug test mochitests-5/5 on 2012/03/24 15:36:11

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1332646211.1332647224.24417.gz
WINNT 5.2 comm-central-trunk debug test mochitests-5/5 on 2012/03/24 20:30:11
Assignee: nobody → sgautherie.bz
Blocks: 452942
No longer blocks: 438871
Severity: normal → major
Status: NEW → ASSIGNED
Keywords: regression
OS: Windows Server 2003 → All
Priority: -- → P2
Hardware: x86 → All
Summary: Intermittent "test_sts_privatebrowsing.html | [SimpleTest.finish()] No checks actually run" → [SeaMonkey] "test_sts_privatebrowsing.html | [SimpleTest.finish()] No checks actually run"
Whiteboard: [orange] → [perma-orange]
Target Milestone: --- → mozilla14
(Assignee)

Comment 2

5 years ago
Created attachment 609075 [details] [diff] [review]
(Av1) Fix and improve test_sts_privatebrowsing.html
[Checked in: See comment 6]
Attachment #609075 - Flags: review?(dveditz)
Attachment #609075 - Flags: review?(dveditz) → review?(sstamm)
Comment on attachment 609075 [details] [diff] [review]
(Av1) Fix and improve test_sts_privatebrowsing.html
[Checked in: See comment 6]

Review of attachment 609075 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good.  Would it make sense to also convert this test to use SpecialPowers?
Attachment #609075 - Flags: review?(sstamm) → review+
(Assignee)

Comment 4

5 years ago
Comment on attachment 609075 [details] [diff] [review]
(Av1) Fix and improve test_sts_privatebrowsing.html
[Checked in: See comment 6]

https://hg.mozilla.org/mozilla-central/rev/66ed24196754


(In reply to Sid Stamm [:geekboy] from comment #3)
> Would it make sense to also convert this test to use SpecialPowers?

Probably, but I don't want to get into that in this bug.
Attachment #609075 - Attachment description: (Av1) Fix and improve test_sts_privatebrowsing.html → (Av1) Fix and improve test_sts_privatebrowsing.html [Checked in: Comment 4]
(Assignee)

Updated

5 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Flags: in-testsuite+
Resolution: --- → FIXED
Sorry, I had to back this out:
https://hg.mozilla.org/mozilla-central/rev/82a5a9a0e12b

because it turned test_sts_privatebrowsing.html perma-orange with "tests.shift is not a function":
https://tbpl.mozilla.org/php/getParsedLog.php?id=10381117&tree=Firefox
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
(Assignee)

Comment 6

5 years ago
Comment on attachment 609075 [details] [diff] [review]
(Av1) Fix and improve test_sts_privatebrowsing.html
[Checked in: See comment 6]

https://hg.mozilla.org/mozilla-central/rev/360c61ec152a
(Av1a) Fix and improve test_sts_privatebrowsing.html
(Syntax error fix in FF case.)
+
https://hg.mozilla.org/mozilla-central/rev/5adbca606d51
(Bv1) Fix patch Av1a
(Missing assignment in FF case.)


(In reply to Matt Brubeck (:mbrubeck) from comment #5)
> Sorry, I had to back this out:

I apologize: I missed to test FF case :-<
Attachment #609075 - Attachment description: (Av1) Fix and improve test_sts_privatebrowsing.html [Checked in: Comment 4] → (Av1) Fix and improve test_sts_privatebrowsing.html [Checked in: See comment 6]
(Assignee)

Comment 7

5 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=10386791&tree=Firefox&full=1
Rev3 Fedora 12x64 mozilla-central opt test mochitests-5/5 on 2012-03-26 17:20:01 PDT for push 5adbca606d51
{
1762 INFO TEST-START | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html

1764 INFO TEST-INFO | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | Not in private browsing mode

1775 INFO TEST-INFO | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | Cleaning up STS data

1778 INFO TEST-INFO | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | Entering private browsing mode ...
1779 INFO TEST-INFO | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | ... done

1792 INFO TEST-INFO | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | Exiting private browsing mode ...
1793 INFO TEST-INFO | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | ... done

1805 INFO TEST-INFO | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | Cleaning up STS data

1807 INFO TEST-END | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | finished in 1137ms
}
Status: REOPENED → RESOLVED
Last Resolved: 5 years ago5 years ago
status-firefox-esr10: --- → affected
status-firefox11: --- → wontfix
status-firefox12: --- → affected
status-firefox13: --- → affected
Resolution: --- → FIXED
(Assignee)

Comment 8

5 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1332816184.1332817312.10936.gz&fulltext=1
OS X 10.6 comm-central-trunk debug test mochitests-5/5 on 2012/03/26 19:43:04
{
1759 INFO TEST-START | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html
1760 INFO TEST-KNOWN-FAIL | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | PB service is not available, will skip dependent tests
1761 INFO TEST-INFO | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | State of example.com: false
1762 INFO TEST-INFO | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | Not in private browsing mode

1772 INFO TEST-INFO | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | DONE WITH ROUND plain
1773 INFO TEST-INFO | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | Cleaning up STS data
1774 INFO TEST-INFO | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | State of example.com: false
1775 INFO TEST-END | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | finished in 1825ms
}

V.Fixed
Status: RESOLVED → VERIFIED
(Assignee)

Comment 9

5 years ago
Created attachment 609661 [details] [diff] [review]
(Cv1-a13) Fix and improve test_sts_privatebrowsing.html [Checkin: Comment 10]

Cv1-a13 = Av1a + Bv1,
with
(In reply to Alex Keybl [:akeybl] from bug 735805 comment #77)
> (the above includes blanket approval for the other test fixes for Aurora 13)

NB: On Beta/12, it will need a manual "s/nsIPrefBranch/nsIPrefBranch2/".
(Assignee)

Updated

5 years ago
Keywords: checkin-needed
Whiteboard: [perma-orange] → [c-n: Cv1-a13 to m-a] [perma-orange]
Comment on attachment 609661 [details] [diff] [review]
(Cv1-a13) Fix and improve test_sts_privatebrowsing.html [Checkin: Comment 10]

http://hg.mozilla.org/releases/mozilla-aurora/rev/3ae20fbe49e6
Attachment #609661 - Attachment description: (Cv1-a13) Fix and improve test_sts_privatebrowsing.html → (Cv1-a13) Fix and improve test_sts_privatebrowsing.html [Checkin: Comment 10]
Keywords: checkin-needed
Whiteboard: [c-n: Cv1-a13 to m-a] [perma-orange] → [perma-orange]
(Assignee)

Comment 11

5 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1333214246.1333215253.19057.gz&fulltext=1
OS X 10.6 comm-aurora debug test mochitests-5/5 on 2012/03/31 10:17:26
{
1746 INFO TEST-KNOWN-FAIL | /tests/security/ssl/stricttransportsecurity/test_sts_privatebrowsing.html | PB service is not available, will skip dependent tests
[...]
}

firefox13: verified.
status-firefox13: affected → verified
You need to log in before you can comment on or make changes to this bug.